> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/new-udexpansionpanelgroup.md).

# New-UDExpansionPanelGroup

New-UDExpansionPanelGroup organise plusieurs composants New-UDExpansionPanel dans PowerShell Universal en un ensemble groupé et repliable.

### Synopsis

Le composant de panneau d'expansion permet à l'utilisateur d'afficher et de masquer des sections de contenu connexe sur une page.

### Syntaxe

```powershell
New-UDExpansionPanelGroup [-Id <String>] [[-Children] <ScriptBlock>] [-Type <String>] [-ClassName <String>] [<CommonParameters>]
```

### Description

Crée un groupe de panneaux d'expansion. Utilisez New-UDExpansionPanel pour créer des enfants pour un groupe.

### Paramètres

#### -Id

L'ID du composant. Il s'agit par défaut d'un GUID aléatoire.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Panneaux d'expansion à inclure dans ce groupe.

```
Required?                    false
Position?                    1
Default value                {}
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Type

Le type de groupe de panneaux d'expansion.

```
Required?                    false
Position?                    named
Default value                Expandable
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Une classe CSS à appliquer au groupe de panneaux d'expansion.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Paramètres communs

Cette applet de commande prend en charge les paramètres communs : Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable et OutVariable. Pour plus d'informations, voir [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Sorties

### Exemples

#### Exemple 1 : Panneau d'expansion

```powershell
New-UDExpansionPanelGroup -Id 'expandsionPanelGroup1' -Children {
    New-UDExpansionPanel -Title "Hello" -Content {} -Active -Id 'expansionPanel1'
    New-UDExpansionPanel -Title "Hello" -Content {
        New-UDElement -Tag 'div' -Content { "Hello" }
    } -Id 'expansionPanel2'
    New-UDExpansionPanel -Title "Hello" -Content {
       New-UDElement -Tag 'div' -id 'expEndpointDiv' -Content { "Hello" }
    } -Id 'expansionPanel3'
}
```

Crée un groupe de panneaux d'expansion.

#### Exemple 2 : Accordéon

```powershell
New-UDExpansionPanelGroup -Id 'expandsionPanelGroup3' -Children {
    New-UDExpansionPanel -Title "Hello" -Content {} -Id 'expansionPanel6'
    New-UDExpansionPanel -Title "Hello" -Content {} -Id 'expansionPanel7'
} -Type 'Accordion'
```

Crée un groupe de panneaux d'expansion de style accordéon.

#### Exemple 3 : Icônes

```powershell
New-UDExpansionPanelGroup -Id 'expandsionPanelGroup4' -Children {
    New-UDExpansionPanel -Title "Hello" -Content {} -Icon (New-UDIcon -Icon 'Users') -Id 'expansionPanel8'
    New-UDExpansionPanel -Title "Hello" -Content {} -Icon (New-UDIcon -Icon 'User') -Id 'expansionPanel9'
}
```

Crée un groupe de panneaux d'expansion avec des icônes.

\[Component("Expansion Panel", "Expand", "Creates a new card.")]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/new-udexpansionpanelgroup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
